Resource

Alert State

Manage alert states for your project (Created, Acknowledged for example). Add / edit or remove states.

The Alert State Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    color
    Type
    ColorRequired
    Description

    Color of this resource in Hex (#32a852 for example)

  • Name
    isCreatedState
    Type
    Boolean
    Description

    Is it the created state of the alert?

  • Name
    isAcknowledgedState
    Type
    Boolean
    Description

    Is it the acknowledged state of the alert?

  • Name
    isResolvedState
    Type
    Boolean
    Description

    Is it the resolved state of the alert?

  • Name
    order
    Type
    Small Number
    Description

    Order / Priority of this resource

GETorPOST/api/alert-state/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert State. By default, a maximum of ten Alert State are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-state/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "description": true,
    "color": true,
    "_id": true
  },
  "query": {
    "name": "Acknowledged"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376cfdd0-28fe-11f1-b591-3fdcef396aba",
      "name": "Acknowledged",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "The alert has been acknowledged by a team member and is being investigated",
      "color": "#3498db"
    },
    {
      "_id": "376cfdd1-28fe-11f1-b591-3fdcef396aba",
      "name": "Acknowledged",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "The alert has been acknowledged by a team member and is being investigated",
      "color": "#3498db"
    },
    {
      "_id": "376cfdd2-28fe-11f1-b591-3fdcef396aba",
      "name": "Acknowledged",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "The alert has been acknowledged by a team member and is being investigated",
      "color": "#3498db"
    }
  ]
}
GETorPOST/api/alert-state/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert State by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-state/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "description": true,
    "color": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Acknowledged",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "The alert has been acknowledged by a team member and is being investigated",
  "color": "#3498db"
}
POST/api/alert-state/count

Count

This endpoint allows you to retrieve the count of all your Alert State.

Optional Request Body

Count Request

POST
/api/alert-state/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Acknowledged"
  }
}

Response

{
  "count": 107
}
POST/api/alert-state

Create Alert State

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-state
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Acknowledged",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "description": "The alert has been acknowledged by a team member and is being investigated",
    "color": "#3498db",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Acknowledged",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "The alert has been acknowledged by a team member and is being investigated",
  "color": "#3498db"
}
PUT/api/alert-state/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-state/:id/update-item
GET/api/alert-state/:id/update-item

Update Request

PUT
/api/alert-state/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Acknowledged",
    "description": "The alert has been acknowledged by a team member and is being investigated",
    "color": "#3498db"
  }
}

Response

{}
DELETE/api/alert-state/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-state/:id/delete-item
GET/api/alert-state/:id/delete-item

Delete Request

DELETE
/api/alert-state/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert State

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert State
  • Read All Project Resources

Create Permissions

Required to create Alert State

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert State

Update Permissions

Required to update Alert State

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert State

Delete Permissions

Required to delete Alert State

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert State